﻿Imports Syncfusion.Pdf.Parsing
Imports Syncfusion.Pdf
Imports Syncfusion.Pdf.Graphics
Imports System.IO

Public Class Form1

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click

        Dim path As String = "../../10-10-16-132006-andyd273-new.pdf"

        Dim lDoc As New Syncfusion.Pdf.Parsing.PdfLoadedDocument(path)
        Dim newDoc As New Syncfusion.Pdf.PdfDocument
        Dim newPage As Syncfusion.Pdf.PdfPage
        Dim template As Syncfusion.Pdf.Graphics.PdfTemplate
        Dim font As Syncfusion.Pdf.Graphics.PdfFont = New Syncfusion.Pdf.Graphics.PdfStandardFont(Syncfusion.Pdf.Graphics.PdfFontFamily.Helvetica, 12.0F)
        Dim i As Integer = 1

        'Create a new PDF section
        Dim section As PdfSection

        For Each lpage As Syncfusion.Pdf.PdfPageBase In lDoc.Pages

            'Add the section
            section = newDoc.Sections.Add()

            'Set the page size 
            section.PageSettings.Size = lpage.Size

            'Set margins
            section.PageSettings.Margins.All = 0

            'Add a new page 
            newPage = section.Pages.Add()

            'Create template.
            template = lpage.CreateTemplate

            newPage.Graphics.DrawPdfTemplate(template, System.Drawing.PointF.Empty, New System.Drawing.SizeF(lpage.Size.Width - 10, lpage.Size.Height - 35))

            Dim g As Syncfusion.Pdf.Graphics.PdfGraphics = newPage.Graphics
            Dim state As Syncfusion.Pdf.Graphics.PdfGraphicsState = g.Save
            g.DrawString(i & " " & "Testing" & " - " & Now.ToString("M-d-yy HH:mm:ss tt"), font, Syncfusion.Pdf.Graphics.PdfBrushes.Black, New System.Drawing.PointF(30, lpage.Graphics.ClientSize.Height - 35))

            newPage.Graphics.Restore()
            i += 1
        Next

        Dim ms As New System.IO.MemoryStream
        newDoc.Save(ms)

        lDoc.Close()
        newDoc.Close()

        System.IO.File.WriteAllBytes(path, MS.ToArray)
        MS.Dispose()


    End Sub
End Class
